Package net.snowflake.client.jdbc

## Class SnowflakeDateWithTimezone

- java.lang.Object
- - java.util.Date
  - - java.sql.Date
    - - net.snowflake.client.jdbc.SnowflakeDateWithTimezone

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<Date>`

    public class SnowflakeDateWithTimezone
    extends Date

Date with toString() overridden to display date values in session timezone. Only relevant for timestamp objects fetched as dates. Normal date objects do not have a timezone associated with them.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`SnowflakeDateWithTimezone​(long date, TimeZone timezone, boolean useSessionTimezone)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()` Returns a string representation in UTC so as to display "wallclock time"

### Methods inherited from class java.sql.Date

`getHours, getMinutes, getSeconds, setHours, setMinutes, setSeconds, setTime, toInstant, toLocalDate, valueOf, valueOf`

### Methods inherited from class java.util.Date

`after, before, clone, compareTo, equals, from, getDate, getDay, getMonth, getTime, getTimezoneOffset, getYear, hashCode, parse, setDate, setMonth, setYear, toGMTString, toLocaleString, UTC`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SnowflakeDateWithTimezone

    public SnowflakeDateWithTimezone​(long date,
                                     TimeZone timezone,
                                     boolean useSessionTimezone)

### Method Detail

#### toString

    public String toString()

Returns a string representation in UTC so as to display "wallclock time"

Overrides:
  `toString` in class `Date`
Returns:
  a string representation of the object